Package org.eclipse.graphiti.func

# Interface ILayout

All Known Subinterfaces:
  `ILayoutFeature`, `IPattern`

All Known Implementing Classes:
  `AbstractLayoutFeature`, `AbstractPattern`, `IdPattern`, `LayoutFeatureForPattern`, `TypedPattern`

public interface ILayout
The Interface ILayout.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canLayout(ILayoutContext context)`
Checks whether the current pictogram element of the given context can be layouted.
`boolean`
`layout(ILayoutContext context)`
Layoutes the pictogram element.

## Method Details

### canLayout

boolean canLayout(ILayoutContext context)
Checks whether the current pictogram element of the given context can be layouted.

Parameters:
  `context` - the context
Returns:
  true if update is possible

### layout

boolean layout(ILayoutContext context)
Layoutes the pictogram element.

Parameters:
  `context` - the context
Returns:
  true, if update process was successfull